=== debian/changelog ===
kphotoalbum (4.1.1-3) unstable; urgency=low

  * Update Build-Depends for KDE SC 4.4.3 (Closes: #579986) 

 -- Mark Purcell <msp@debian.org>  Mon, 03 May 2010 20:15:11 +1000

kphotoalbum (4.1.1-2) unstable; urgency=low

  * Add stable branch pull patch from KDE svn:
    - Remove of some code that became dead with yesterdays bugfix
    - fixed bug #220373: Viewer settings dialog did not load correct
      values and had wrong defaults. (Closes: #563821)
    - fixed bug #220376: Shortcuts in the annotation dialog was broken
      in some translations
    - bugfix: KPA crashes when viewing images if viewer cache size is set to
      zero
    - fixed bug #211907: Fix EXIF support dialog at startup.
    - fixed bug #147891: Crashing on wrong export directory in Plugin interface
  * Switch to dpkg-source 3.0 (quilt) format.
  * Update debian/control:
    - Bump Standards-Version to 3.8.3 (no changes needed).
  * Update debian/rules:
    - Use kde sequence addon.

 -- Fathi Boudra <fabo@debian.org>  Thu, 14 Jan 2010 10:12:27 +0100

kphotoalbum (4.1.1-1) unstable; urgency=low

  * New upstream release.
    - Fixes "Missing EXIF support dialog". (Closes: #552236)
    - Fixes "Picture counter on timeline". (Closes: #535094)
  * Fixup debian/watch.
  * Fix "English help files are missing"
    - Add missing doc/CMakeLists.txt (Closes: #557141)

 -- Mark Purcell <msp@debian.org>  Sun, 27 Dec 2009 22:01:46 +1100

kphotoalbum (4.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #538061)
  * Update debian/control:
    - Remove cdbs build dependency
    - Bump Standards-Version to 3.8.2 (no changes needed)
  * Rewrite debian/rules: use dh.

 -- Fathi Boudra <fabo@debian.org>  Thu, 30 Jul 2009 14:28:40 +0200

kphotoalbum (4.0.1-1) unstable; urgency=low

  * New upstream release.
    - debian/patches/00_kphotoalbum_r967963.diff & quilt obsolete

 -- Mark Purcell <msp@debian.org>  Sun, 24 May 2009 16:48:14 +1000

kphotoalbum (4.0-2) unstable; urgency=low

  * Add branch pull patch from r967963:
    - BUGFIX: The HTML generator did not display the available themes
      correctly.
    - BUGFIX: Invoke external application for multiple files did not work.
    - BUGFIX: build failure on armel architecture.
  * Add quilt build dependency and related CDBS include.

 -- Fathi Boudra <fabo@debian.org>  Mon, 18 May 2009 12:42:48 +0200

kphotoalbum (4.0-1) unstable; urgency=low

  * New upstream release
    - dialog layout code rewrite (Closes: #451330).
    - Initial KDE 4 version (Closes: #507235).

  [ Fathi Boudra ]
  * Remove patches (not needed).
  * Bump compat to 7.
  * Update debian/control:
    - Switch from kde section to graphics.
    - Remove quilt and libkexif1-dev build dependencies.
    - Bump debhelper to 7.
    - Add cmake and pkg-kde-tools build dependencies.
    - Bump libexiv2 buil dependency to 0.18.
    - Replace libkdcraw-dev build dependency by libkdcraw7-dev.
    - Replace libkipi0-dev build dependency by libkipi6-dev.
    - Add libjpeg62-dev, libmarble-dev and x11proto-core-dev build
      dependencies.
    - Bump Standards-Version from 3.7.3 to 3.8.1 (no changes needed).
    - Replace libqt3-mt-sqlitea nd sqlite dependencies by libqt4-sql-sqlite.
    - Remove deprecated kimdaba conflicts/replaces/provides.
    - Add mplayerthumbs suggests.
  * Update debian/copyright:
    - Remove Dave Coffin.
    - Add Henner Zeller.
    - Update GPL version and years.
  * Update debian/rules:
    - Use pkg-kde-tools kde.mk.
    - Remove patchsys-quilt.pk (not used).

  [ Mark Purcell ]
  * Refresh debian/watch

 -- Fathi Boudra <fabo@debian.org>  Tue, 12 May 2009 10:15:39 +0200

kphotoalbum (3.1.1-2) unstable; urgency=low

  * Add typeinfo include before using typeid. (Closes: #474355)

 -- Fathi Boudra <fabo@debian.org>  Sat, 05 Apr 2008 21:00:40 +0200

kphotoalbum (3.1.1-1) unstable; urgency=low

  * New upstream release.
  * Merge Ubuntu changes:
    * Add khelpcenter recommends.
    * Bump libexiv2-dev, libkdcraw-dev and libkexif1-dev build dependencies.
  * Add Vcs-Browser and Vcs-Svn fields.

 -- Fathi Boudra <fabo@debian.org>  Tue, 25 Mar 2008 23:10:58 +0100

kphotoalbum (3.1.0-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail address.
  * Bump Standards-Version to 3.7.3.
  * Use Homepage field.
  * Add libkdcraw-dev build dependency.
  * Replace Apps by Applications in menu file.
  * Switch to quilt patch system.
  * Build with --as-needed linker flag.
  * Add patch to fix typo in translation. (Closes: #430702)

 -- Fathi Boudra <fabo@debian.org>  Fri, 14 Dec 2007 22:42:58 +0100

kphotoalbum (3.0.2-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 24 Apr 2007 06:57:07 +1000

kphotoalbum (3.0-2) unstable; urgency=low

  * Update debian/watch

 -- Mark Purcell <msp@debian.org>  Thu, 29 Mar 2007 22:17:18 +0100

kphotoalbum (3.0-1) experimental; urgency=low

  * New upstream release
  * Remove autoconf 2.60 support patch, merged upstream
  * control: add libqt3-mt-sqlite and sqlite to depends
  * copyright: updated

 -- Fathi Boudra <fboudra@free.fr>  Wed,  3 Jan 2007 08:37:00 +0100

kphotoalbum (2.2-2) unstable; urgency=low

  * Add version to libexiv2 dependency (Closes: #386855) 

 -- Fathi Boudra <fboudra@free.fr>  Mon, 11 Sep 2006 00:07:52 +0200

kphotoalbum (2.2-1) unstable; urgency=low

  * New upstream release (Closes: #370136, #351170)
  * Convert package to cdbs (Closes: #364371, #332754)
  * New maintainers:
    * Maintainer: KDE Extras Team
    * Uploaders: Mark Purcell and Fathi Boudra
  * compat: bumped to 5
  * control:
    * renamed KimDaBa to KPhotoAlbum
    * replaced Section graphics by kde
    * removed unneeded Build-depends
    * bumped Standards-Version to 3.7.2
    * removed kdegraphics from recommend (Closes: #346391)
    * updated description (Closes: #364160)
    * added Conflicts/Replaces KimDaBa
  * copyright: added missing copyrights

