=== debian/rules ===
#!/usr/bin/make -f

%:
	dh --with kde $@

override_dh_auto_build:
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_clean:
	dh_clean
	rm -f kphotoalbum.1

override_dh_compress:
	dh_compress -X.docbook

get-orig-source-dpatch:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs

.PHONY: override_dh_auto_test
