=== debian/watch ===
version=3
http://kphotoalbum.org/index.php?page=download-source data/download/kphotoalbum-(.*[\d\.])\.tar\.bz2 debian svn-upgrade
