## kphotoalbum 4.2

=== debian/changelog ===
kphotoalbum (4.2-1~ubuntu12.04.1~ppa1) precise; urgency=low

  * Precise backport 
    - use libjpeg62-dev instead of libjpeg-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 13 Nov 2012 12:58:18 +0100

kphotoalbum (4.2-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Drop all the patches, no more needed now:
   - 01_kphotoalbum_stable_branch_pull.diff: backported from upstream
   - debian-changes-4.1.1-3: fixed upstream
   - fedora-docbook-fix.diff: fixed upstream
   - ubuntu-exiv2-0.21.diff: backported from upstream
  * Update watch file.
  * Update copyright.
  * Switch the libjpeg62-dev build dependency to libjpeg-dev. (Closes: #643314)
  * Fix Vcs-Browser header.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Bump debhelper compat to 9:
    - bump compat to 9
    - bump debhelper build dependency to 9
  * Link with --as-needed.
  * Do not install the upstream's TODO, not much helpful for users
    (and it seems not really up-to-date).

 -- Pino Toscano <pino@debian.org>  Fri, 15 Jun 2012 11:38:11 +0200

kphotoalbum (4.1.1-4) unstable; urgency=low

  * Team Upload

  [ Scott Kitterman ]
  * Feedback changes from Ubuntu:
    - Add patch from Fedora to fix docbook format for 4.1.2-dtd transition
      (Closes: #628538)
    - Add change from upstream to fix build with exiv2 0.21 (change will make
      kphotoalbum binNMUable when 0.21 is moved from Experimental to Unstable)
    - Update debian/control: add shared-desktop-ontologies build dependency

  [ Fathi Boudra ]
  * Update debian/control: bump build dependencies.
  * Update debian/rules:
    - enable parallel build (pass --parallel option to dh).
    - remove override_dh_compress - not needed anymore.

 -- Scott Kitterman <scott@kitterman.com>  Sun, 29 May 2011 20:45:23 -0400
