=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 7.4), cmake, pkg-kde-tools (>= 0.5), docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg62-dev,
- libkdcraw-dev, libkipi-dev, libmarble-dev (>= 4:4.4),
- x11proto-core-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
+ libexiv2-dev (>= 0.19), libjpeg62-dev, libkdcraw-dev, libkipi-dev,
+ libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
+Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kphotoalbum/trunk/?op=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum
