## kphotoalbum 4.3

=== debian/changelog ===
kphotoalbum (4.3-1ubuntu1) raring; urgency=low

  * Add debian/patches/libdkcraw_api_fix.diff and libkipi-2.0.0_support.diff
    to enable building with KDE graphics libraries for KDE SC 4.10

 -- Scott Kitterman <scott@kitterman.com>  Mon, 10 Dec 2012 00:45:02 -0500

kphotoalbum (4.3-1) experimental; urgency=low

  * New upstream release 
  * Add Depends: mplayer2

 -- Mark Purcell <msp@debian.org>  Fri, 28 Sep 2012 21:45:33 +1000
