=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg62-dev, libkdcraw-dev, libkipi-dev,
+ libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
  libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
 Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
@@ -14,7 +15,7 @@
 Package: kphotoalbum
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libqt4-sql-sqlite
+ libqt4-sql-sqlite, mplayer2
 Recommends: kipi-plugins, khelpcenter
 Suggests: mplayerthumbs
 Description: tool for indexing, searching and viewing images by keywords for KDE
