=== images/CMakeLists.txt ===
install( FILES  multiconfig.jpg search.jpg splash.png splash-large.png movie-clip.png DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/pics )
