=== debian/changelog ===
kphotoalbum (4.4-2build2) trusty; urgency=low

  * No change rebuild for libmarble transition

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 14:42:55 +0000

kphotoalbum (4.4-2build1) saucy; urgency=low

  * No change rebuild for libkipi transition

 -- Scott Kitterman <scott@kitterman.com>  Fri, 28 Jun 2013 00:20:40 -0400

kphotoalbum (4.4-2) unstable; urgency=low

  * Update Standards Version 3.9.4 - no changes
  * Update debian/control - fix vcs-field-not-canonical 

 -- Mark Purcell <msp@debian.org>  Sun, 12 May 2013 09:26:03 +1000

kphotoalbum (4.4-1) experimental; urgency=low

  * New upstream release 

 -- Mark Purcell <msp@debian.org>  Sat, 02 Mar 2013 11:05:13 +1100
