=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: kphotoalbum
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
  libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
@@ -10,7 +9,7 @@
 Standards-Version: 3.9.3
 Homepage: http://kphotoalbum.org
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
+Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum
 Architecture: any
