=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/kphotoalbum/([\d\.]+)/src/kphotoalbum-([\d\.]+)\.tar\.bz2 debian svn-upgrade
