## kphotoalbum 4.5

=== doc/CMakeLists.txt ===
add_subdirectory(sv)
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(en_US)
add_subdirectory(pt_BR)
add_subdirectory(de)
add_subdirectory(it)
add_subdirectory(uk)
add_subdirectory(et)
add_subdirectory(fr)
