=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), cmake, pkg-kde-tools (>= 0.6.4), docbook-to-man,
+Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
+ docbook-to-man,
  libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
- libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev
-Standards-Version: 3.9.3
+ libmarble-dev (>= 4:4.4.4), shared-desktop-ontologies, x11proto-core-dev,
+ pkg-config,
+Standards-Version: 3.9.5
 Homepage: http://kphotoalbum.org
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk/debian/?view=log
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
 
 Package: kphotoalbum
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libqt4-sql-sqlite, mplayer2
-Recommends: kipi-plugins, khelpcenter
-Suggests: mplayerthumbs
+Recommends: kipi-plugins, khelpcenter4, libav-tools
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of
